Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Pages/Component Groups

List Component Groups

get
/v4/statuspages/{statuspageID}/groups
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/statuspages/{statuspageID}/groups
GET /v4/statuspages/{statuspageID}/groups HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "type": "text",
      "name": "text",
      "allowSubscription": true,
      "description": "text",
      "status": {
        "id": 1,
        "name": "text",
        "color": "text",
        "slug": "text"
      },
      "underMaintenance": true,
      "statusMaintenance": {
        "id": 1,
        "name": "text",
        "color": "text",
        "slug": "text"
      },
      "components": [
        {
          "id": 1,
          "type": "text",
          "name": "text",
          "allowSubscription": true,
          "description": "text",
          "status": {
            "id": 1,
            "name": "text",
            "color": "text",
            "slug": "text"
          },
          "underMaintenance": true,
          "statusMaintenance": {
            "id": 1,
            "name": "text",
            "color": "text",
            "slug": "text"
          },
          "components": "[Circular Reference]",
          "isHidden": true
        }
      ],
      "isHidden": true
    }
  ]
}

Create Component Group

post
/v4/statuspages/{statuspageID}/groups
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Body
namestringRequired
descriptionstringOptional
allowSubscriptionbooleanOptional
Responses
200

The request has succeeded.

application/json
post/v4/statuspages/{statuspageID}/groups
POST /v4/statuspages/{statuspageID}/groups HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "name": "text",
  "description": "text",
  "allowSubscription": true
}
{
  "data": {
    "id": 1,
    "pageID": 1,
    "name": "text",
    "description": "text",
    "allowSubscription": true
  }
}

Get Component Group By ID

get
/v4/statuspages/{statuspageID}/groups/{group_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
group_idstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/statuspages/{statuspageID}/groups/{group_id}
GET /v4/statuspages/{statuspageID}/groups/{group_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "pageID": 1,
    "name": "text",
    "description": "text",
    "allowSubscription": true
  }
}

Delete Component Group By ID

delete
/v4/statuspages/{statuspageID}/groups/{group_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
group_idstringRequired
Responses
200

The request has succeeded.

application/json
delete/v4/statuspages/{statuspageID}/groups/{group_id}
DELETE /v4/statuspages/{statuspageID}/groups/{group_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "name": "text",
    "description": "text",
    "allowSubscription": true
  }
}

Last updated